org.eclipse.remote.core

## Interface IRemoteConnectionControlService

All Superinterfaces:
  IRemoteConnection.Service

All Known Implementing Classes:
  TelnetConnection

    public interface IRemoteConnectionControlService
    extends IRemoteConnection.Service

A service to control and report on the state of a connection, open or closed. Connections that do not provide this service are always assumed to be opened.

Since:
  2.0

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteConnection.Service

`IRemoteConnection.Service.Factory`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()` Close the connection.
`boolean` `isOpen()` Test if the connection is open.
`void` `open(org.eclipse.core.runtime.IProgressMonitor monitor)` Open the connection.

### Methods inherited from interface org.eclipse.remote.core.IRemoteConnection.Service

`getRemoteConnection`

### Method Detail

#### open

    void open(org.eclipse.core.runtime.IProgressMonitor monitor)
       throws RemoteConnectionException

Open the connection. Must be called before the connection can be used.

Parameters:
  `monitor` - the progress monitor to use for reporting progress to the user. It is the caller's responsibility to call done() on the given monitor. Accepts null, indicating that no progress should be reported and that the operation cannot be cancelled.
Throws:
  `RemoteConnectionException`

#### close

    void close()

Close the connection. Must be called to terminate the connection.

#### isOpen

    boolean isOpen()

Test if the connection is open.

Returns:
  true if connection is open.